Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/os_include/sys/os_resource.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/sys/os_time.h"`
`#include "ace/os_include/sys/os_types.h"`

Include dependency graph for os_resource.h:

This graph shows which files directly or indirectly include this file:

## Compounds
struct | rusage
## Defines
#define | RUSAGE_SELF 1
## Typedefs
typedef const struct rlimit | ACE_SETRLIMIT_TYPE
typedef int | ACE_Rusage

## Detailed Description

definitions for XSI resource operations

Id:
  os_resource.h,v 1.4 2003/11/07 01:12:51 dhinton Exp

Author:
  Don Hinton <dhinton@dresystems.com> , This code was originally in various places including ace/OS.h.

## Define Documentation

#define RUSAGE_SELF 1

## Typedef Documentation

typedef int ACE_Rusage

typedef const struct rlimit ACE_SETRLIMIT_TYPE